# WOK
TKWOK
WOKUnix

# WOKUnix_PathIterator Class Reference

`#include <WOKUnix_PathIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUnix_PathIterator (const Handle(WOKUnix_Path)&apath, const Standard_Boolean recursive=Standard_False, const Standard_CString mask="*")
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_WOKUnix_Path | PathValue () const
Standard_EXPORT Standard_Integer | LevelValue () const
Standard_EXPORT Handle_TCollection_HAsciiString | NameValue () const
Standard_EXPORT Handle_WOKUnix_Path | BrowsedPath () const
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Destroy ()
| ~WOKUnix_PathIterator ()

## Private Member Functions

Standard_EXPORT void | SkipDots ()
Standard_EXPORT void | Push (const Handle(WOKUnix_Path)&apath, const WOKUnix_Dir &adir)
Standard_EXPORT void | Pop ()

## Static Private Member Functions

static Standard_EXPORT Standard_Boolean | IsDots (const Standard_CString aname)

## Private Attributes

TCollection_AsciiString | mymask
Handle_WOKUnix_Path | mypath
WOKUnix_DirEnt | mydata
WOKUnix_StackOfDir | mystack
Standard_Boolean | mymore
Standard_Boolean | myrecflag

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_PathIterator::WOKUnix_PathIterator | ( | const Handle(WOKUnix_Path)& | apath,
|  | const Standard_Boolean | recursive = `Standard_False`,
|  | const Standard_CString | mask = `"*"`
| ) |

WOKUnix_PathIterator::~WOKUnix_PathIterator | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT Handle_WOKUnix_Path WOKUnix_PathIterator::BrowsedPath | ( |  | ) | const

Standard_EXPORT void WOKUnix_PathIterator::Destroy | ( |  | ) |

static Standard_EXPORT Standard_Boolean WOKUnix_PathIterator::IsDots | ( | const Standard_CString | aname | ) | `[static, private]`

Standard_EXPORT Standard_Integer WOKUnix_PathIterator::LevelValue | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKUnix_PathIterator::More | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKUnix_PathIterator::NameValue | ( |  | ) | const

Standard_EXPORT void WOKUnix_PathIterator::Next | ( |  | ) |

void WOKUnix_PathIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUnix_PathIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUnix_PathIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_WOKUnix_Path WOKUnix_PathIterator::PathValue | ( |  | ) | const

Standard_EXPORT void WOKUnix_PathIterator::Pop | ( |  | ) | `[private]`

Standard_EXPORT void WOKUnix_PathIterator::Push | ( | const Handle(WOKUnix_Path)& | apath,
|  | const WOKUnix_Dir & | adir
| ) | `[private]`

Standard_EXPORT void WOKUnix_PathIterator::SkipDots | ( |  | ) | `[private]`

## Field Documentation

WOKUnix_DirEnt WOKUnix_PathIterator::mydata `[private]`

TCollection_AsciiString WOKUnix_PathIterator::mymask `[private]`

Standard_Boolean WOKUnix_PathIterator::mymore `[private]`

Handle_WOKUnix_Path WOKUnix_PathIterator::mypath `[private]`

Standard_Boolean WOKUnix_PathIterator::myrecflag `[private]`

WOKUnix_StackOfDir WOKUnix_PathIterator::mystack `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_PathIterator.hxx